Bug 245470 - www/py-django-filer: Update to 1.7.0
Summary: www/py-django-filer: Update to 1.7.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://github.com/divio/django-filer...
Keywords:
Depends on: 245472 245473
Blocks: 245309
  Show dependency treegraph
 
Reported: 2020-04-09 09:00 UTC by Kai Knoblich
Modified: 2020-04-23 15:19 UTC (History)
1 user (show)

See Also:
bugzilla: maintainer-feedback? (xenophon+fbsdports)


Attachments
py-django-filer-1.7.0.patch (7.38 KB, patch)
2020-04-09 09:00 UTC, Kai Knoblich
kai: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Knoblich freebsd_committer 2020-04-09 09:00:03 UTC
Created attachment 213208 [details]
py-django-filer-1.7.0.patch

Hi,

attached is the patch that primarily updates www/py-django-filer to 1.7.0 and assigns it to Django 2.2 (current LTS release) as Django 1.11 is End-of-Life since April 2020.

The patch also does the following:

- Assigns the port graphics/py-django-easy-thumbnails you maintain to Django 2.2
- Updates www/py-django-mptt to 0.11.0 and assigns it to Django 2.2 (will be handled in a separate bug due different maintainer)
- Updates www/py-django_polymorphic to 2.1.2 and assign it to Django 2.2 (will be handled in a separate bug due different maintainer)
- Assigns www/py-django-js-asset to Django 2.2

QA:
~~~
- poudriere (11.3-RELEASE amd64 for each py35, py36, py37 and py38 flavor) -> OK
- portlint -> OK
Comment 1 commit-hook freebsd_committer 2020-04-11 10:15:42 UTC
A commit references this bug:

Author: kai
Date: Sat Apr 11 10:15:07 UTC 2020
New revision: 531412
URL: https://svnweb.freebsd.org/changeset/ports/531412

Log:
  www/py-django_polymorphic: Rename to py-django-polymorphic, Update to 2.1.2

  * Use this update, which introduced support for Django 2.2 in the 2.1.0
    release, as preparation to switch from Django 1.11 (End-of-Life) to
    Django 2.2 (current LTS release) once the update for www/py-django-filer
    lands [1].

  * Rename the port to match the canonical name at PyPI.

  * Update the WWW field to spare users from redirects and fix a whitespace
    issue in the pkg-descr.

  * Bump PORTREVISION of its consumer www/py-django-filer due changed
    dependencies.

  Changelog:

  https://github.com/django-polymorphic/django-polymorphic/blob/v2.1.2/docs/changelog.rst

  PR:		245473, 245470 [1]
  Approved by:	Kevin Golding <ports@caomhin.org> (maintainer)

Changes:
  head/MOVED
  head/www/Makefile
  head/www/py-django-filer/Makefile
  head/www/py-django-polymorphic/
  head/www/py-django-polymorphic/Makefile
  head/www/py-django-polymorphic/distinfo
  head/www/py-django-polymorphic/pkg-descr
  head/www/py-django_polymorphic/
Comment 2 Kai Knoblich freebsd_committer 2020-04-23 09:59:33 UTC
Comment on attachment 213208 [details]
py-django-filer-1.7.0.patch

^ Triage: Set maintainer-approval to '+' due maintainers' timeout.
Comment 3 commit-hook freebsd_committer 2020-04-23 10:54:34 UTC
A commit references this bug:

Author: kai
Date: Thu Apr 23 10:53:58 UTC 2020
New revision: 532664
URL: https://svnweb.freebsd.org/changeset/ports/532664

Log:
  www/py-django-filer: Update to 1.7.0

  * Also assign the port to Django 2.2 because Django 1.11 is End-of-Life
    since April.

  * Do the the same for its dependencies and bump PORTREVISION
    accordingly. [1] [2]

  Changelog:

  https://github.com/divio/django-filer/blob/1.7.0/CHANGELOG.rst

  PR:		245470, 245472 [1] 245473 [2]
  Approved by:	maintainer timeout (14 days) [1],
  		Kevin Golding (maintainer) [2]

Changes:
  head/graphics/py-django-easy-thumbnails/Makefile
  head/www/py-django-filer/Makefile
  head/www/py-django-filer/distinfo
  head/www/py-django-js-asset/Makefile
  head/www/py-django-mptt/Makefile
  head/www/py-django-polymorphic/Makefile